Module tdlight.api
Package it.tdlight.jni

# Class TdApi.UpdateChatAction

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Update
it.tdlight.jni.TdApi.UpdateChatAction

Enclosing class:
  TdApi

public static final class TdApi.UpdateChatAction extends TdApi.Update
A message sender activity in the chat has changed.

## Field Summary

Fields
Modifier and Type
Field
Description
`TdApi.ChatAction`
`action`
The action.
`long`
`chatId`
Chat identifier.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`long`
`messageThreadId`
If not 0, the message thread identifier in which the action was performed.
`TdApi.MessageSender`
`senderId`
Identifier of a message sender performing the action.

## Constructor Summary

Constructors
Constructor
Description
`UpdateChatAction()`
A message sender activity in the chat has changed.
`UpdateChatAction(long chatId, long messageThreadId, TdApi.MessageSender senderId, TdApi.ChatAction action)`
A message sender activity in the chat has changed.
`UpdateChatAction(DataInput input)`
A message sender activity in the chat has changed.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Chat identifier.

### messageThreadId

public long messageThreadId
If not 0, the message thread identifier in which the action was performed.

### senderId

public TdApi.MessageSender senderId
Identifier of a message sender performing the action.

### action

public TdApi.ChatAction action
The action.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### UpdateChatAction

public UpdateChatAction()
A message sender activity in the chat has changed.

### UpdateChatAction

public UpdateChatAction(long chatId, long messageThreadId, TdApi.MessageSender senderId, TdApi.ChatAction action)
A message sender activity in the chat has changed.

Parameters:
  `chatId` - Chat identifier.
  `messageThreadId` - If not 0, the message thread identifier in which the action was performed.
  `senderId` - Identifier of a message sender performing the action.
  `action` - The action.

### UpdateChatAction

public UpdateChatAction(DataInput input) throws IOException
A message sender activity in the chat has changed.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`